Bug 1729384 - Tempest is failing on Stein with python 3.6.
Summary: Tempest is failing on Stein with python 3.6.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tempest
Version: 15.0 (Stein)
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Chandan Kumar
QA Contact: Martin Kopec
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-12 07:31 UTC by Anandprakash Tandale
Modified: 2019-07-18 13:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-18 07:32:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1835511 None None None 2019-07-18 13:25:38 UTC

Description Anandprakash Tandale 2019-07-12 07:31:06 UTC
Description of problem:

Tempest is failing on Stein with python 3.6.

Version-Release number of selected component (if applicable):
RHOSP15
overcloud controller OS- RHEL 8
openstack-tempest-20.0.0-0.20190610090414.a955095.el8ost.noarch
python3-neutron-tests-tempest-0.3.0-0.20190621140455.e40f601.el8ost.noarch
python3-octavia-tests-tempest-golang-1.0.0-0.20190621170400.c9414e8.el8ost.x86_64
python3-tempestconf-2.2.1-0.20190701090409.aa20435.el8ost.noarch
python3-sahara-tests-tempest-0.8.0-0.20190618120402.7e39b7b.el8ost.noarch
python3-tempest-20.0.0-0.20190610090414.a955095.el8ost.noarch
python3-manila-tests-tempest-0.2.0-0.20190401201905.53927a9.el8ost.noarch
python3-sahara-tempest-0.8.0-0.20190618120402.7e39b7b.el8ost.noarch
python3-octavia-tests-tempest-1.0.0-0.20190621170400.c9414e8.el8ost.noarch
python3-cinder-tests-tempest-0.2.1-0.20190410010400.6a37884.el8ost.noarch

How reproducible:
Often with the newest puddle


Steps to Reproduce:
1.Tempest init
2.discover-tempest-config command
3.try to run the command to run tempest test of any plugin

Actual results:
Tempest tests of a plugin should run

Expected results:
Traceback (most recent call last):
  File "/bin/ostestr", line 10, in <module>
    sys.exit(main())
  File "/usr/lib/python3.6/site-packages/os_testr/ostestr.py", line 263, in main
    exit(ostestr(sys.argv[1:]))
  File "/usr/lib/python3.6/site-packages/os_testr/ostestr.py", line 259, in ostestr
    return _select_and_call_runner(opts, regex, others)
  File "/usr/lib/python3.6/site-packages/os_testr/ostestr.py", line 212, in _select_and_call_runner
    black_regex=opts.black_regex)
  File "/usr/lib/python3.6/site-packages/os_testr/ostestr.py", line 167, in call_testr
    black_regex=black_regex)
  File "/usr/lib/python3.6/site-packages/stestr/commands/run.py", line 334, in run_command
    concurrency = _to_int(concurrency)
  File "/usr/lib/python3.6/site-packages/stestr/commands/run.py", line 39, in _to_int
    i = int(possible)
TypeError: int() argument must be a string, a bytes-like object or a number, not 'NoneType'

Additional info:

Comment 1 Martin Kopec 2019-07-16 15:36:43 UTC
Hi Anandprakash,

what was the exact command you used for running tempest tests?

I was able to reproduce it only when I used ostestr, for example:
$ ostestr sahara_tempest_plugin.tests.clients.test_jobs.JobTest.test_job

but if I used tempest command, it worked, for example:
$ tempest run --regex "sahara_tempest_plugin.tests.clients.test_jobs.JobTest.test_job"

See for example our official documentation for RHOS-15:
https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/14/html/openstack_integration_test_suite_guide

please, retry running the tests by tempest command and let us know if it worked as expected.

Thanks,
Martin

Comment 2 Anandprakash Tandale 2019-07-18 06:35:08 UTC
Hi Martin,

'tempest run' command is working for me.
This bug is not reproducible with this command. 

Thanks.

Comment 3 Martin Kopec 2019-07-18 13:25:38 UTC
I've just found an upstream bug related to this, so adding it here for the reference.


Note You need to log in before you can comment on or make changes to this bug.